Bug 991249 - [targetcli] hit python error when the parameter is null
[targetcli] hit python error when the parameter is null
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: targetcli (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Andy Grover
Bruno Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 21:05 EDT by Xiaowei Li
Modified: 2015-01-26 19:12 EST (History)
2 users (show)

See Also:
Fixed In Version: targetcli-2.1.fb28-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:51:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2013-08-01 21:05:35 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
# rpm -q targetcli
targetcli-2.1.fb26-2.el7.noarch

/iscsi/iqn.20...m.redhat:test> pwd
/iscsi/iqn.2003-01.org.linux-iscsi.dhcp12-156.x8664:sn.9fb3f5fee5bf/tpg1/acls/iqn.1994-05.com.redhat:test

/iscsi/iqn.20...m.redhat:test> get parameter 
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 990, in run_interactive
    self._cli_loop()
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 813, in _cli_loop
    self.run_cmdline(cmdline)
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 934, in run_cmdline
    self._execute_command(path, command, pparams, kparams)
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 909, in _execute_command
    result = target.execute_command(command, pparams, kparams)
  File "/usr/lib/python2.7/site-packages/targetcli/ui_node.py", line 87, in execute_command
    pparams, kparams)
  File "/usr/lib/python2.7/site-packages/configshell/node.py", line 1416, in execute_command
    result = method(*pparams, **kparams)
  File "/usr/lib/python2.7/site-packages/configshell/node.py", line 607, in ui_command_get
    value = group_getter(p_def['name'])
  File "/usr/lib/python2.7/site-packages/targetcli/ui_target.py", line 867, in ui_getgroup_parameter
    return self.rtsnode[0].get_parameter(parameter)
AttributeError: 'UINodeACL' object has no attribute 'rtsnode'


/iscsi/iqn.20...m.redhat:test> set parameter 
PARAMETER CONFIG GROUP
======================
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Andy Grover 2013-08-02 14:17:13 EDT
Fixed upstream, will be in targetcli-2.1.fb28
Comment 3 Bruno Goncalves 2013-10-03 04:50:11 EDT
Verified with:
rpm -q targetcli
targetcli-2.1.fb30-1.el7.noarch


/iscsi/iqn.20...m.redhat:test> pwd
/iscsi/iqn.2009-10.com.redhat:storage-1/tpg1/acls/iqn.1994-05.com.redhat:test

/iscsi/iqn.20...m.redhat:test> get parameter
PARAMETER CONFIG GROUP
======================
DataPDUInOrder=No Active iSCSI Session [ro]
-------------------------------------------
The DataPDUInOrder parameter.
...

set parameter
PARAMETER CONFIG GROUP
======================
Comment 4 Ludek Smid 2014-06-13 08:51:48 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.